/*
 CountDown.ino
 
 This demonstrates the use of a POLLIN UC121902 TNARX LCD display with a KS0035 LCD-Driver.
 The UC121902 library should works with all LCD displays that are compatible with the 
 KS0035 driver.
 
 1 = +5 V
 2 = GND
 3 = Chip enable	Arduino Pin 7
 4 = CLK		Arduino Pin 6
 5 = Data in		Arduino Pin 5
 
 This Sketch is counting from 9 to 0.
 
 created 18 Nov 2014 
 by Alexander Roehl
 
 
 */


// include the library
#include <UC121902.h>

int a=9;

void setup() {
  // initialize the library with the numbers of the Arduino pins
  UC121902.begin(7,6,5);
}


void loop() {
  // sets the cursor to position
  UC121902.setCursor(6);
  // count down 
  UC121902.print(a--);
  // sets the countdown back to 9
  if (a < 0)
    a=9;
  // wait a bit
  delay(1000);
}

