/*
 example.ino
 
 This demonstrates the use of a POLLIN UC121902 TNARX LCD display with a KS0035 LCD-Driver.
 The UC121902 library should works with all LCD displays that are compatible with the 
 KS0035 driver.
 
 1 = +5 V
 2 = GND
 3 = Chip enable	Arduino Pin 7
 4 = CLK		Arduino Pin 6
 5 = Data in		Arduino Pin 5
 
 This sketch is turning on and off a LED on pin 13 and shows the state on the display.
 
 created 18 Nov 2014 
 by Alexander Roehl
 
 */

// include the library
#include <UC121902.h>

// the LED pin on the arduino board
#define LED 13

void setup() {
  // setting the LED pin to output
  pinMode(LED, OUTPUT);
  // initialize the library with the numbers of the Arduino pins
  UC121902.begin(7,6,5);
  // writes "Led = " to the display
  UC121902.print("Led =");
}


void loop() {
  // turned on the led
  digitalWrite(LED, 1);
  // sets the cursor to the position
  UC121902.setCursor(6);
  // shows the status on the display
  UC121902.print("On ");
  // wait 2 seconds
  delay(2000);

  // turned off the led
  digitalWrite(LED, 0);
  // sets the cursor to the position
  UC121902.setCursor(6);
  // shows the status on the display
  UC121902.print("Off");
  // wait 2 seconds
  delay(2000);
}

