/*
 blink.ino
 
 This demonstrates the use of a POLLIN UC121902 TNARX LCD display with a KS0035 LCD-Driver.
 The UC121902 library should works with all LCD displays that are compatible with the 
 KS0035 driver.
 
 1 = +5 V
 2 = GND
 3 = Chip enable	Arduino Pin 7
 4 = CLK		Arduino Pin 6
 5 = Data in		Arduino Pin 5
 
 This shows "Battery" as a string and the battery-low-Symbol is blinking.
 
 created 18 Nov 2014 
 by Alexander Roehl
 
 
 */


// include the library
#include <UC121902.h>


void setup() {
  // initialize the library with the numbers of the Arduino pins
  UC121902.begin(7,6,5);
  UC121902.print("Battery");
}


void loop() {
  UC121902.sign(BAT_LOW, ON);
  delay(1000);
  UC121902.sign(BAT_LOW, OFF);
  delay(1000);

}




