/*
 demo.ino
 
 This demonstrates the use of a POLLIN UC121902 TNARX LCD display with a KS0035 LCD-Driver.
 The UC121902 library should works with all LCD displays that are compatible with the 
 KS0035 driver.
 
 1 = +5 V
 2 = GND
 3 = Chip enable	Arduino Pin 7
 4 = CLK		Arduino Pin 6
 5 = Data in		Arduino Pin 5
 
 This Sketch is demonstrate all digits on the display.
 Not all letters are available. (M, V, W, X)
 Available characters:
 ABCDEFGHIJKLNOPQRSTUYZ=-


 created 18 Nov 2014 
 by Alexander Roehl
 
 
 */


// include the library
#include <UC121902.h>


void setup() {
  // initialize the library with the numbers of the Arduino pins
  UC121902.begin(7,6,5);
  // clear the screen
  UC121902.clear();
}


void loop() {
  // scrolls a text from right to left
  for (int a=11; a>=0; a--) {
    // clear the screen
    UC121902.clear();
    // sets the cursor to position
    UC121902.setCursor(a);
    UC121902.print("TEST"); 

    // wait a bit
    delay(250);
  }

  // wait a bit
  delay(2000);

  // scrolls 12 numbers from right to left
  for (int a=11; a>=0; a--) {
    // clear the screen
    UC121902.clear();
    // sets the cursor to position
    UC121902.setCursor(a);
    UC121902.print(1234567890); 
    UC121902.print("--"); 

    // wait a bit
    delay(250);
  }

  // wait a bit
  delay(2000);

  // shows all signs on top
  for (int a=0; a<8; a++) {
    UC121902.sign(a, ON); 

    // wait a bit
    delay(250);
  }

  // wait a bit
  delay(2000);

  // shows a part of the alphabet in uppercase
  for (int a=0; a<12; a++) {
    // sets the cursor to position
    UC121902.setCursor(a);
    UC121902.print(char (65+a)); 

    // wait a bit
    delay(250);
  }

  // wait a bit
  delay(2000);
  
  // shows a part of the alphabet in lowercase
  for (int a=0; a<12; a++) {
    // sets the cursor to position
    UC121902.setCursor(a);
    UC121902.print(char (97+a)); 

    // wait a bit
    delay(250);
  }

  // wait a bit
  delay(2000);
}






